<?php

function togglenode_admin() {
	$form['togglenode'] = array(
		'#value' => t("You must add the following line of text to your page.tpl.php file in order to make this module work: " . check_plain("<?php print \$togglelinks; ?>")),
	);
	
	$form['togglenode_view'] = array(
		'#type' => 'radios',
		'#title' => t("Exlude 'View' from the Toggle Node?"),
		'#description' => t("If excluded, the tab 'View' will not be shown"),
		'#default_value' => variable_get("togglenode_view", 1),
		'#options' => array(
			0 => t("No, do not exlude the View link"),
			1 => t("Yes, exclude the View link"),
		),
	);

	$form['togglenode_destination'] = array(
		'#type' => 'radios',
		'#title' => t("Append destination to the link"),
		'#description' => t("This is usefull in cases where you don't want to redirect the user after an action"),
		'#default_value' => variable_get("togglenode_destination", 1),
		'#options' => array(
			0 => t("No, do not append destination"),
			1 => t("Yes, append destination"),
		),
	);
	
	$form['togglenode_type'] = array(
		'#type' => 'radios',
		'#title' => t("Type of Behaviour"),
		'#description' => t("Select what kind of behaviour you would like to use for the button"),
		'#default_value' => variable_get("togglenode_type", 0),
		'#options' => array(
			0 => t("Click to open"),
			1 => t("Hover to open"),
		),
	);
	
	return system_settings_form($form);
}